import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { UmbPropertyEditorUiElement } from '../../../../core/property-editor/index.js';
/**
 * @element umb-block-scale-handler
 */
export declare class UmbBlockGridScaleHandlerElement extends UmbLitElement implements UmbPropertyEditorUiElement {
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbBlockGridScaleHandlerElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-block-scale-handler': UmbBlockGridScaleHandlerElement;
    }
}
